DRM_VMA_NODE_ALLOW(9)

NAME
drm_vma_node_allow - Add open-file to list of allowed users

SYNOPSIS

int drm_vma_node_allow(struct drm_vma_offset_node * node, struct file * filp);

ARGUMENTS

node
    Node to modify

filp
    Open file to add

DESCRIPTION

Add filp to the list of allowed open-files for this node. If filp is already on this list, the ref-count is incremented.

The list of allowed-users is preserved across drm_vma_offset_add and drm_vma_offset_remove calls. You may even call it if the node is currently not added to any offset-manager.

You must remove all open-files the same number of times as you added them before destroying the node. Otherwise, you will leak memory.

This is locked against concurrent access internally.

RETURNS

0 on success, negative error code on internal failure (out-of-mem)

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT